Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.internal.preference
Class VisualiserPreferences

    java.lang.Object
      org.eclipse.contribution.visualiser.internal.preference.VisualiserPreferences

public class VisualiserPreferences
extends java.lang.Object

Holds the preferences for the Visualiser as set via the Workbench->preferences pages or the VisualiserPreferencesDialog, which is launched for the Visualiser view.

Field Summary
`static int` | `BAR_MIN_WIDTH`
`static java.lang.String` | `BAR_WIDTH`
`static int` | `BAR_WIDTH_DEFAULT`
`static java.lang.String` | `MAX_BAR`
`static java.lang.String` | `MIN_BAR`
`static java.lang.String` | `PALETTE_PREFIX`
`static java.lang.String` | `PROVIDER`
`static java.lang.String` | `RENDERER`
`static java.lang.String` | `STRIPE_HEIGHT`
`static int` | `STRIPE_SIZE_DEFAULT`

Constructor Summary
`VisualiserPreferences()`

Method Summary
`static int` | `getBarWidth()` Get the bar width for the visualiser
`static int` | `getDefaultBarWidth()` Get the default bar width for the visualiser
`static int` | `getDefaultStripeHeight()` Get the default stripe height for the visualiser
`static int` | `getMaxBarSize()` Get the maximum bar width for bars in the visualsier
`static int` | `getMinBarSize()` Get the minimum bar width for bars in the visualiser
`static java.lang.String` | `getPaletteIDForProvider(java.lang.String providerID)` Return the chosen palette id for the given provider if one has been specified
`static java.lang.String` | `getProvider()` Get the name of the current provider
`static java.lang.String` | `getRendererName()` Get the name of the chosen renderer
`static int` | `getStripeHeight()` Get the stripe height for the visualiser
`static void` | `initDefaults()` Set up default values for preferences
`static void` | `setBarWidth(int value)` Store the given size as the chosen the bar width
`static void` | `setPaletteIDForProvider(ProviderDefinition def, java.lang.String value)` Store the given name as the chosen palette name for the specified provider
`static void` | `setRendererName(java.lang.String value)` Store the given name as the chosen renderer name
`static void` | `setStripeHeight(int value)` Store the given size as the chosen stripe height

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_BAR

    public static final java.lang.String MAX_BAR

See Also:
  Constant Field Values

### MIN_BAR

    public static final java.lang.String MIN_BAR

See Also:
  Constant Field Values

### PROVIDER

    public static final java.lang.String PROVIDER

See Also:
  Constant Field Values

### BAR_WIDTH

    public static final java.lang.String BAR_WIDTH

See Also:
  Constant Field Values

### STRIPE_HEIGHT

    public static final java.lang.String STRIPE_HEIGHT

See Also:
  Constant Field Values

### RENDERER

    public static final java.lang.String RENDERER

See Also:
  Constant Field Values

### PALETTE_PREFIX

    public static final java.lang.String PALETTE_PREFIX

See Also:
  Constant Field Values

### STRIPE_SIZE_DEFAULT

    public static final int STRIPE_SIZE_DEFAULT

See Also:
  Constant Field Values

### BAR_WIDTH_DEFAULT

    public static final int BAR_WIDTH_DEFAULT

See Also:
  Constant Field Values

### BAR_MIN_WIDTH

    public static final int BAR_MIN_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### VisualiserPreferences

    public VisualiserPreferences()

Method Detail

### initDefaults

    public static void initDefaults()

  Set up default values for preferences

### getProvider

    public static java.lang.String getProvider()

  Get the name of the current provider

  Returns:

### getMinBarSize

    public static int getMinBarSize()

  Get the minimum bar width for bars in the visualiser

  Returns:

### getMaxBarSize

    public static int getMaxBarSize()

  Get the maximum bar width for bars in the visualsier

  Returns:

### getBarWidth

    public static int getBarWidth()

  Get the bar width for the visualiser

  Returns:

### getDefaultBarWidth

    public static int getDefaultBarWidth()

  Get the default bar width for the visualiser

  Returns:

### setBarWidth

    public static void setBarWidth(int value)

  Store the given size as the chosen the bar width

  Parameters:
    `value` - width in pixels

### getStripeHeight

    public static int getStripeHeight()

  Get the stripe height for the visualiser

  Returns:

### getDefaultStripeHeight

    public static int getDefaultStripeHeight()

  Get the default stripe height for the visualiser

  Returns:

### setStripeHeight

    public static void setStripeHeight(int value)

  Store the given size as the chosen stripe height

  Parameters:
    `value` - height in pixels

### getRendererName

    public static java.lang.String getRendererName()

  Get the name of the chosen renderer

  Returns:

### setRendererName

    public static void setRendererName(java.lang.String value)

  Store the given name as the chosen renderer name

  Parameters:
    `value` - the renderer name

### getPaletteIDForProvider

    public static java.lang.String getPaletteIDForProvider(java.lang.String providerID)

  Return the chosen palette id for the given provider if one has been specified

  Parameters:
    `providerID` -
  Returns:

### setPaletteIDForProvider

    public static void setPaletteIDForProvider(ProviderDefinition def,
                                               java.lang.String value)

  Store the given name as the chosen palette name for the specified provider

  Parameters:
    `def` - the provider
    `value` - the palette name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD